/* このファイルは編集用です。変更を適用させる時はMinify化して.min.jsへ適用させること */
/* https://www.toptal.com/developers/javascript-minifier */

/* ポップアップコンテンツのクリック動作 */
jQuery(document).ready(function($) {
	$('.ha-popup-trigger').on('click', function(e) {
		e.preventDefault();
		var popupId = $(this).data('popup-id');
		var $popup = $('#' + popupId);
		$popup.css('display', 'block'); // 開く時に表示する
		setTimeout(function() {
			$popup.addClass('show'); // showクラスを追加
		}, 10); // 少し遅延させてアニメーションを適用
	});

	$('.ha-popup-close').on('click', function() {
		var $popup = $(this).closest('.ha-popup');
		$popup.removeClass('show'); // showクラスを削除
		// アニメーション終了後にポップアップを非表示にする
		setTimeout(function() {
			$popup.css('display', 'none'); // 完全に非表示にする
		}, 300); // アニメーションの時間に合わせる
	});

	$('.ha-popup-close-btn').on('click', function() {
		var $popup = $(this).closest('.ha-popup');
		$popup.removeClass('show'); // showクラスを削除
		// アニメーション終了後にポップアップを非表示にする
		setTimeout(function() {
			$popup.css('display', 'none'); // 完全に非表示にする
		}, 300); // アニメーションの時間に合わせる
	});
});

